# coding: utf-8

"""
    Form Service API

    A list of form and Xaas APIs.  This page describes the RESTful APIs for Form Service. The APIs facilitate CRUD operations on the various resources and entities used throughout Form service (Custom Resource , Form Definition etc.) and allow operations on them (creating custom resource type , fetch form status etc.).  Some of the APIs that list collections of resources also support OData like implementation. Below query params can be used across Form and XaaS entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/form-service/api/custom/resource-types?$orderby=name%20DESC```  2. `page`, `size` - page used in conjunction with `size` helps in pagination of resources.      ```/form-service/api/custom/resource-types?page=0&size=20```   # noqa: E501

    OpenAPI spec version: 1.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class RendererExternalvaluesBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'uri': 'str',
        'data_source': 'str',
        'parameters': 'list[FormserviceapiformsrendererexternalvaluesParameters]',
        'field_type': 'FormserviceapiformsrendererexternalvaluesFieldType',
        'request_id': 'int',
        'context_parameters': 'dict(str, str)'
    }

    attribute_map = {
        'uri': 'uri',
        'data_source': 'dataSource',
        'parameters': 'parameters',
        'field_type': 'fieldType',
        'request_id': 'requestId',
        'context_parameters': 'contextParameters'
    }

    def __init__(self, uri=None, data_source=None, parameters=None, field_type=None, request_id=None, context_parameters=None):  # noqa: E501
        """RendererExternalvaluesBody - a model defined in Swagger"""  # noqa: E501
        self._uri = None
        self._data_source = None
        self._parameters = None
        self._field_type = None
        self._request_id = None
        self._context_parameters = None
        self.discriminator = None
        if uri is not None:
            self.uri = uri
        if data_source is not None:
            self.data_source = data_source
        if parameters is not None:
            self.parameters = parameters
        if field_type is not None:
            self.field_type = field_type
        if request_id is not None:
            self.request_id = request_id
        if context_parameters is not None:
            self.context_parameters = context_parameters

    @property
    def uri(self):
        """Gets the uri of this RendererExternalvaluesBody.  # noqa: E501


        :return: The uri of this RendererExternalvaluesBody.  # noqa: E501
        :rtype: str
        """
        return self._uri

    @uri.setter
    def uri(self, uri):
        """Sets the uri of this RendererExternalvaluesBody.


        :param uri: The uri of this RendererExternalvaluesBody.  # noqa: E501
        :type: str
        """

        self._uri = uri

    @property
    def data_source(self):
        """Gets the data_source of this RendererExternalvaluesBody.  # noqa: E501


        :return: The data_source of this RendererExternalvaluesBody.  # noqa: E501
        :rtype: str
        """
        return self._data_source

    @data_source.setter
    def data_source(self, data_source):
        """Sets the data_source of this RendererExternalvaluesBody.


        :param data_source: The data_source of this RendererExternalvaluesBody.  # noqa: E501
        :type: str
        """

        self._data_source = data_source

    @property
    def parameters(self):
        """Gets the parameters of this RendererExternalvaluesBody.  # noqa: E501


        :return: The parameters of this RendererExternalvaluesBody.  # noqa: E501
        :rtype: list[FormserviceapiformsrendererexternalvaluesParameters]
        """
        return self._parameters

    @parameters.setter
    def parameters(self, parameters):
        """Sets the parameters of this RendererExternalvaluesBody.


        :param parameters: The parameters of this RendererExternalvaluesBody.  # noqa: E501
        :type: list[FormserviceapiformsrendererexternalvaluesParameters]
        """

        self._parameters = parameters

    @property
    def field_type(self):
        """Gets the field_type of this RendererExternalvaluesBody.  # noqa: E501


        :return: The field_type of this RendererExternalvaluesBody.  # noqa: E501
        :rtype: FormserviceapiformsrendererexternalvaluesFieldType
        """
        return self._field_type

    @field_type.setter
    def field_type(self, field_type):
        """Sets the field_type of this RendererExternalvaluesBody.


        :param field_type: The field_type of this RendererExternalvaluesBody.  # noqa: E501
        :type: FormserviceapiformsrendererexternalvaluesFieldType
        """

        self._field_type = field_type

    @property
    def request_id(self):
        """Gets the request_id of this RendererExternalvaluesBody.  # noqa: E501


        :return: The request_id of this RendererExternalvaluesBody.  # noqa: E501
        :rtype: int
        """
        return self._request_id

    @request_id.setter
    def request_id(self, request_id):
        """Sets the request_id of this RendererExternalvaluesBody.


        :param request_id: The request_id of this RendererExternalvaluesBody.  # noqa: E501
        :type: int
        """

        self._request_id = request_id

    @property
    def context_parameters(self):
        """Gets the context_parameters of this RendererExternalvaluesBody.  # noqa: E501


        :return: The context_parameters of this RendererExternalvaluesBody.  # noqa: E501
        :rtype: dict(str, str)
        """
        return self._context_parameters

    @context_parameters.setter
    def context_parameters(self, context_parameters):
        """Sets the context_parameters of this RendererExternalvaluesBody.


        :param context_parameters: The context_parameters of this RendererExternalvaluesBody.  # noqa: E501
        :type: dict(str, str)
        """

        self._context_parameters = context_parameters

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(RendererExternalvaluesBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, RendererExternalvaluesBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
